package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 系统通知bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/1
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProblemBean implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "是否解决，true：是，false：未解决")
    @NotNull(message = "已解决/未解决不能为空")
    private Boolean solve;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Boolean getSolve() {
        return solve;
    }

    public void setSolve(Boolean solve) {
        this.solve = solve;
    }
}
